<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
     <title> Books using JFLAP </title>
  </head>
 
<h1>Books using JFLAP</h1>



<ul>

<li> <a href="http://www.jbpub.com/Catalog/9780763737986/Student/"> CD
Supplement with JFLAP exercises</a> by Linz and Rodger published
Dec. 2008 (see Supplement on this page). 
This CD has JFLAP examples and  exercises chapter by chapter to fit
with the Linz book mentioned below. 
<br>
<br>

<li> Susan Rodger and Thomas Finley,
<a href="http://www.cs.duke.edu/csed/jflap/jflapbook/"> 
JFLAP - An Interactive Formal Languages and
Automata Package,  </a> ISBN 0763738344, Jones and Bartlett, 2006.
<br>
This book is a supplemental book to use with most automata theory books
and shows how to use JFLAP with finite automata, pushdown automata,
Turing machines, grammars (regular, context-free and unrestricted),
LL and SLR parsing, and L-systems. It includes usage of JFLAP with
several proof conversions such as NFA to DFA to minimal state DFA,
DFA to regular expression, CFG to pushdown automata, etc.
<br>
<br>

<li> Peter Linz - Introduction to Formal Languages and Automata 4th
edition, ISBN-13:978-0-7637-3798-6.
<br>
Rodger and Linz have worked closely the past few years resulting in
this book being a good fit with JFLAP's definitions and algorithms.
<br>
<br>





<li> Gopalakrishnan, G. L. Computation Engineering: Applied Automata Theory and Logic. Springer Science+Business Media LLC, 2006.
<br>
This book encourages the use of JFLAP for working with nondeterministic finite automata, 
deterministic finite automata, and Turing Machines. JFLAP is suggested for educational
exercises.
<br>
<br>

<li> Ben-Ari, Mordechai. Principles of the Spin Model Checker. Springer-Verlag London Limited 2008.
<br>
JFLAP is referenced in the book and the Visualizing Nondeterminism (VN) software tool mentioned
reads nondeterministic finite automata from the JFLAP file format.
<br>
<br>


<li> Goddard, Wayne. Introducing the Theory of Computation. Jones and Bartlett Publishers, Inc 2008.
<br>
An interlude section between the first two parts introduces JFLAP, gives a brief explanation of its capabilities, 
and recommends its use for working with various models.
<br>
<br>

</ul>
<br>


</ul>

<p> 
If you know of a book that uses or mentions JFLAP, please send us a note at
jflap "at" cs.duke.edu with the relevant information
<p>



    <hr>
  </body>
</html>
